######################################################################
# If statements are similar to Java/C++ but
# - there are no braces, the Python interpreter uses indentation to
#       identify blocks
# - there is a colon (:) after each condition
# - you use 'elif' instead of 'elseif'
######################################################################

# Note: the elif and else statements are optional
# what happens if the final print statement is indented?
num = 1
if num > 3 :
    print("number is > 3")
elif num < 3 :
    print ("number is < 3")
else :
    print ("number is 3")
print ("Not indented, so not part of the else block")

print()

# use the words 'and' or 'or' to create joint conditions; 
if num >= 1 and num <= 10 :
    print("num is bewteen 1 and 10")
else :
    print("num is NOT between 1 and 10")

# more logical operators
print("1 == 1:", 1 == 1)
print("2 != 3: ", 2 != 3)
print("'is' in 'this': ", 'is' in 'this')
print("'is' not in 'this': ", 'is' not in 'this')

# Note: there is an 'is' operation; where 'a is b' asks whether a and b 
# refer to the same object; be careful if using this

print("num == 1:", num == 1)
print("num is 1:", num is 1)

x = num
print("num is equal to x:", num == x)
print("num is x:", num is x)


list1 = [1,2,3]
list2 = [1,2,3]
print("list1 is equal to list2:", list1 == list2)
print("list1 is list2:", list1 is list2)

print()


######################################################################
# # In python, 'for loops' are used to iterate through each item of
# a sequence or a collection of items
######################################################################

# for loop example, iterating over each element of a string
str = "Hello"
for ch in str:
    print(ch)

print()
print()

# Tuples are a collection of items, like an array or list. 
# Tuples are immutable (the items cannot be changed directly). 
# Rules for concatenation and slicing apply.

words = ("hi", "bye", "why")
print(words)
print("number of words = ", len(words))
print()

for w in words :
    print(w)


# lists are like tuples but their elements are not immutable
# lists are created by surrounding a comma-separated list of
# objects in square brackets
l = [1,2,3]
l.append(20) # add an element to the end of a list
l[0] = 0 # change element at index 0

# output each element of the list
for x in l :
    print(x)

string = "This is a sentence"
string.split() # split by any whitespace character

######################################################################
# Exercise:
# 1) using the string split method, find and output the first word 
#    of userInput (we won't worry about punctuation)
# 2) find the longest word in userInput (we won't worry about punctuation)
######################################################################

# prompt user to enter a string, stored in userInput
userInput = input("Enter a string ")
print("You entered:", userInput)




